Description

Currently GCC build methods doesn’t support following directories by default:

/usr/lib/arm-linux-gnueabihf/gtk-2.0/include/;

/usr/lib/arm-linux-gnueabihf/glib-2.0/include/

History

#1 - 12/26/2016 03:35 PM - Zbigniew Rebacz

- Target version changed from Release 2017.1 to Release 2017.2 - NTH

#2 - 12/26/2016 03:35 PM - Zbigniew Rebacz

- Target version deleted (Release 2017.2 - NTH)

#3 - 12/26/2016 03:36 PM - Zbigniew Rebacz

- Priority changed from Normal to High

- Target version set to Release 2017.1

I think this is required by raspberry pi to compile - we should consider adding this to release.

#4 - 01/20/2017 09:25 PM - Amrein-Marie Christophe

Hi,

Zbigniew Rebacz, does the last POSIX snapshot now compile as it should on your device?

#5 - 01/20/2017 10:05 PM - Zbigniew Rebacz

- Assignee deleted (Miroslav Fidler)

Haha ;) I am trying to do that 11 months ago - right I don't test it, but I believe it is not. For the whole U++ it would be very good if we can do compilation on

Raspberry Pi or other ARM devices out of the box.

I am not sure, but should we have different build method for ARM? If yes, the the makefile should choose the build method depending on architecture.

It would be nice if someone could handle this task. Are you interested Christophe?

#6 - 01/21/2017 10:20 PM - Zbigniew Rebacz

- Status changed from New to Approved

- Assignee set to Zbigniew Rebacz
Compiles fine on Rasberry Pi. With multi-threading compilation, the whole process is super fast.
